net.minecraft.world

## Class WorldManager

- java.lang.Object
- - net.minecraft.world.WorldManager

- All Implemented Interfaces:
    IWorldAccess

      public class WorldManager
      extends java.lang.Object
      implements IWorldAccess

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldManager(MinecraftServer par1MinecraftServer, WorldServer par2WorldServer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastSound(int par1, int par2, int par3, int par4, int par5)`
    `void` | `destroyBlockPartially(int p_147587_1_, int p_147587_2_, int p_147587_3_, int p_147587_4_, int p_147587_5_)`
    `void` | `markBlockForRenderUpdate(int p_147588_1_, int p_147588_2_, int p_147588_3_)`
    `void` | `markBlockForUpdate(int p_147586_1_, int p_147586_2_, int p_147586_3_)`
    `void` | `markBlockRangeForRenderUpdate(int p_147585_1_, int p_147585_2_, int p_147585_3_, int p_147585_4_, int p_147585_5_, int p_147585_6_)`
    `void` | `onEntityCreate(Entity par1Entity)`
    `void` | `onEntityDestroy(Entity par1Entity)`
    `void` | `onStaticEntitiesChanged()`
    `void` | `playAuxSFX(EntityPlayer par1EntityPlayer, int par2, int par3, int par4, int par5, int par6)`
    `void` | `playRecord(java.lang.String par1Str, int par2, int par3, int par4)`
    `void` | `playSound(java.lang.String par1Str, double par2, double par4, double par6, float par8, float par9)`
    `void` | `playSoundToNearExcept(EntityPlayer par1EntityPlayer, java.lang.String par2Str, double par3, double par5, double par7, float par9, float par10)`
    `void` | `spawnParticle(java.lang.String par1Str, double par2, double par4, double par6, double par8, double par10, double par12)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorldManager

          public WorldManager(MinecraftServer par1MinecraftServer,
                      WorldServer par2WorldServer)

  - ### Method Detail

    - #### spawnParticle

          public void spawnParticle(java.lang.String par1Str,
                           double par2,
                           double par4,
                           double par6,
                           double par8,
                           double par10,
                           double par12)

      Specified by:
        `spawnParticle` in interface `IWorldAccess`

    - #### onEntityCreate

          public void onEntityCreate(Entity par1Entity)

      Specified by:
        `onEntityCreate` in interface `IWorldAccess`

    - #### onEntityDestroy

          public void onEntityDestroy(Entity par1Entity)

      Specified by:
        `onEntityDestroy` in interface `IWorldAccess`

    - #### playSound

          public void playSound(java.lang.String par1Str,
                       double par2,
                       double par4,
                       double par6,
                       float par8,
                       float par9)

      Specified by:
        `playSound` in interface `IWorldAccess`

    - #### playSoundToNearExcept

          public void playSoundToNearExcept(EntityPlayer par1EntityPlayer,
                                   java.lang.String par2Str,
                                   double par3,
                                   double par5,
                                   double par7,
                                   float par9,
                                   float par10)

      Specified by:
        `playSoundToNearExcept` in interface `IWorldAccess`

    - #### markBlockRangeForRenderUpdate

          public void markBlockRangeForRenderUpdate(int p_147585_1_,
                                           int p_147585_2_,
                                           int p_147585_3_,
                                           int p_147585_4_,
                                           int p_147585_5_,
                                           int p_147585_6_)

      Specified by:
        `markBlockRangeForRenderUpdate` in interface `IWorldAccess`

    - #### markBlockForUpdate

          public void markBlockForUpdate(int p_147586_1_,
                                int p_147586_2_,
                                int p_147586_3_)

      Specified by:
        `markBlockForUpdate` in interface `IWorldAccess`

    - #### markBlockForRenderUpdate

          public void markBlockForRenderUpdate(int p_147588_1_,
                                      int p_147588_2_,
                                      int p_147588_3_)

      Specified by:
        `markBlockForRenderUpdate` in interface `IWorldAccess`

    - #### playRecord

          public void playRecord(java.lang.String par1Str,
                        int par2,
                        int par3,
                        int par4)

      Specified by:
        `playRecord` in interface `IWorldAccess`

    - #### playAuxSFX

          public void playAuxSFX(EntityPlayer par1EntityPlayer,
                        int par2,
                        int par3,
                        int par4,
                        int par5,
                        int par6)

      Specified by:
        `playAuxSFX` in interface `IWorldAccess`

    - #### broadcastSound

          public void broadcastSound(int par1,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

      Specified by:
        `broadcastSound` in interface `IWorldAccess`

    - #### destroyBlockPartially

          public void destroyBlockPartially(int p_147587_1_,
                                   int p_147587_2_,
                                   int p_147587_3_,
                                   int p_147587_4_,
                                   int p_147587_5_)

      Specified by:
        `destroyBlockPartially` in interface `IWorldAccess`

    - #### onStaticEntitiesChanged

          public void onStaticEntitiesChanged()

      Specified by:
        `onStaticEntitiesChanged` in interface `IWorldAccess`